
#ifndef SERVER_H
#define SERVER_H

#include <QDialog>
#include <QTextEdit>
#include <QTcpServer>
#include <QTcpSocket>

class QLabel;
class QPushButton;
//class QTcpServer;

class Server : public QDialog
{
    Q_OBJECT

public:
    Server(QWidget *parent = 0);

private slots:
    void doEcho();
    void connectToClient();

private:
    QTextEdit *history;
    QLabel *statusLabel;
    QPushButton *quitButton;
    QLabel *label1;
    QLabel *label2;
    QLabel *label3;

    QTcpServer *tcpServer;
    QTcpSocket *clientConnection;

    QDataStream in;

    QStringList fortunes;
    quint16 blockSize;


};

#endif
